> ## Documentation Index
> Fetch the complete documentation index at: https://docs.en.amplopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Pix deposit

> Create a Pix deposit

Creates a Pix deposit.

## Body parameters

<ParamField body="identifier" type="string">
  Unique identifier for this deposit in your application.
</ParamField>

<ParamField body="amount" type="number" required>
  Deposit amount in BRL.
</ParamField>

<ParamField body="callbackUrl" type="string">
  URL that will receive deposit status webhook notifications.
</ParamField>

## Request example

<RequestExample>
  ```bash theme={null}
  curl --request POST \
    --url https://app.amplopay.com/api/v1/gateway/pix/deposit \
    --header 'Content-Type: application/json' \
    --header 'x-public-key: SUA_CHAVE_PUBLICA_AQUI' \
    --header 'x-secret-key: SUA_CHAVE_PRIVADA_AQUI' \
    --data '{
      "identifier": "deposito-123",
      "amount": 100,
      "callbackUrl": "https://example.com/webhooks/payment"
    }'
  ```
</RequestExample>

## Response

<ResponseField name="transactionId" type="string" required>
  Transaction ID generated by the Gateway API.
</ResponseField>

<ResponseField name="status" type="string" required>
  Initial deposit status.
</ResponseField>

<ResponseField name="order" type="object" required>
  Order information.
</ResponseField>

<ResponseField name="order.id" type="string" required>
  Internal order ID.
</ResponseField>

<ResponseField name="order.url" type="string">
  Internal checkout order URL.
</ResponseField>

<ResponseField name="pix" type="object" required>
  Pix deposit information.
</ResponseField>

<ResponseField name="pix.code" type="string" required>
  Pix copy-and-paste code.
</ResponseField>

<ResponseField name="pix.image" type="string">
  QR Code image URL.
</ResponseField>

<ResponseField name="pix.expiresAt" type="string">
  Pix QR Code expiration date and time.
</ResponseField>

<ResponseField name="pix.base64" type="string">
  Deprecated. Always returns an empty string for backward compatibility.
</ResponseField>

<ResponseExample>
  ```json theme={null}
  {
    "transactionId": "transaction_id",
    "status": "OK",
    "order": {
      "id": "cm92389asdaskdjkasjdka",
      "url": "https://api-de-pagamentos.com/order/cm92389asdaskdjkasjdka"
    },
    "pix": {
      "code": "00020101021126530014BR.GOV.BCB.PIX...",
      "image": "https://app.amplopay.com/api/v1/pix/qr/000201...",
      "expiresAt": "2026-08-20T15:00:00.000Z",
      "base64": ""
    }
  }
  ```
</ResponseExample>
